MRWGraphInternal::Token Struct Reference

Internal: the struct use to store a token entry. More...

## Public Member Functions

| Token ()
| constructor More...

## Public Attributes

long | m_id [2]
| the token id and the graph? id More...
int | m_type
| the field type More...
int | m_highType
| the high byte of the field type More...
Vec2i | m_dim
| the dimension More...
int | m_refType
| the zone to used type More...
uint32_t | m_refId
| the zone to used id More...
int | m_fieldType
| the field type More...
std::string | m_value
| the token value More...
MWAWEntry | m_pictData
| the picture data More...
long | m_pictId
| a picture id More...
long | m_valPictId
| a optional picture id More...
int | m_ruleType
| the rule type More...
int | m_rulePattern
| the rule pattern More...
bool | m_parsed
| true if the token has been send to a listener More...
std::string | m_extra
| some extra data More...

## Friends

std::ostream & | operator<< (std::ostream &o, Token const &tkn)
| operator<< More...

## Detailed Description

Internal: the struct use to store a token entry.

## Constructor & Destructor Documentation

MRWGraphInternal::Token::Token | ( |  | ) |

inline

constructor

## Friends And Related Function Documentation

std::ostream& operator<< | ( | std::ostream & | o,
|  | Token const & | tkn
| ) |  |

friend

operator<<

## Member Data Documentation

Vec2i MRWGraphInternal::Token::m_dim

the dimension

Referenced by MRWGraphInternal::operator<<(), MRWGraph::readToken(), MRWGraph::sendPicture(), and MRWGraph::sendRule().

std::string MRWGraphInternal::Token::m_extra

some extra data

Referenced by MRWGraphInternal::operator<<(), MRWGraph::readToken(), and MRWGraph::readTokenBlock0().

int MRWGraphInternal::Token::m_fieldType

the field type

Referenced by MRWGraphInternal::operator<<(), MRWGraph::readToken(), and MRWGraph::sendToken().

int MRWGraphInternal::Token::m_highType

the high byte of the field type

Referenced by MRWGraphInternal::operator<<(), and MRWGraph::readToken().

long MRWGraphInternal::Token::m_id[2]

the token id and the graph? id

Referenced by MRWGraphInternal::operator<<(), MRWGraph::readToken(), and Token().

bool MRWGraphInternal::Token::m_parsed

mutable

true if the token has been send to a listener

Referenced by MRWGraph::flushExtra(), and MRWGraph::sendToken().

MWAWEntry MRWGraphInternal::Token::m_pictData

the picture data

Referenced by MRWGraph::readToken(), and MRWGraph::sendPicture().

long MRWGraphInternal::Token::m_pictId

a picture id

Referenced by MRWGraphInternal::operator<<(), and MRWGraph::readToken().

uint32_t MRWGraphInternal::Token::m_refId

the zone to used id

Referenced by MRWGraphInternal::operator<<(), MRWGraph::readToken(), and MRWGraph::sendToken().

int MRWGraphInternal::Token::m_refType

the zone to used type

Referenced by MRWGraphInternal::operator<<(), and MRWGraph::readToken().

int MRWGraphInternal::Token::m_rulePattern

the rule pattern

Referenced by MRWGraphInternal::operator<<(), MRWGraph::readTokenBlock0(), and MRWGraph::sendRule().

int MRWGraphInternal::Token::m_ruleType

the rule type

Referenced by MRWGraphInternal::operator<<(), MRWGraph::readTokenBlock0(), and MRWGraph::sendRule().

int MRWGraphInternal::Token::m_type

the field type

Referenced by MRWGraphInternal::operator<<(), MRWGraph::readToken(), MRWGraph::readTokenBlock0(), and MRWGraph::sendToken().

long MRWGraphInternal::Token::m_valPictId

a optional picture id

Referenced by MRWGraphInternal::operator<<(), and MRWGraph::readTokenBlock0().

std::string MRWGraphInternal::Token::m_value

the token value

Referenced by MRWGraphInternal::operator<<(), MRWGraph::readToken(), MRWGraph::readTokenBlock0(), and MRWGraph::sendToken().

The documentation for this struct was generated from the following file:

- MRWGraph.cxx